Changeset 1232


Ignore:
Timestamp:
Feb 9, 2009 4:33:47 AM (11 years ago)
Author:
andreasw
Message:

make sure that we also check for BLAS in MUMPS configure, so that user-provided MUMPS works with user-provided BLAS

Location:
ThirdParty/Mumps/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/trunk/Makefile.in

    r1186 r1232  
    136136CDEFS = @CDEFS@
    137137CFLAGS = @CFLAGS@ $(MY_DEFS)
     138COIN_BUILD_BLAS_FALSE = @COIN_BUILD_BLAS_FALSE@
     139COIN_BUILD_BLAS_TRUE = @COIN_BUILD_BLAS_TRUE@
    138140COIN_BUILD_MUMPS_FALSE = @COIN_BUILD_MUMPS_FALSE@
    139141COIN_BUILD_MUMPS_TRUE = @COIN_BUILD_MUMPS_TRUE@
     142COIN_HAS_BLAS_FALSE = @COIN_HAS_BLAS_FALSE@
     143COIN_HAS_BLAS_TRUE = @COIN_HAS_BLAS_TRUE@
    140144COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
    141145COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
  • ThirdParty/Mumps/trunk/configure

    r1160 r1232  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS CPP EGREP MY_DEFS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS MUMPSINCDIR MUMPSLIB COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE MUMPS_INCFLAGS COIN_BUILD_MUMPS_TRUE COIN_BUILD_MUMPS_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE MUMPSDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS CPP EGREP MY_DEFS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_BUILD_BLAS_TRUE COIN_BUILD_BLAS_FALSE MUMPSINCDIR MUMPSLIB COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE MUMPS_INCFLAGS COIN_BUILD_MUMPS_TRUE COIN_BUILD_MUMPS_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE MUMPSDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11021102  --with-tags[=TAGS]
    11031103                          include additional configurations [automatic]
     1104  --with-blas             specify BLAS library (or BUILD for compilation)
    11041105  --with-mumps-incdir specify the header file directory for library mumps
    11051106  --with-mumps-lib specify the flags used to link with the library mumps
     
    32913292
    32923293# Provide some information about the compiler.
    3293 echo "$as_me:3293:" \
     3294echo "$as_me:3294:" \
    32943295     "checking for Fortran 77 compiler version" >&5
    32953296ac_compiler=`set X $ac_compile; echo $2`
     
    38593860ac_save_FFLAGS=$FFLAGS
    38603861FFLAGS="$FFLAGS $ac_verb"
    3861 (eval echo $as_me:3861: \"$ac_link\") >&5
     3862(eval echo $as_me:3862: \"$ac_link\") >&5
    38623863ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    38633864echo "$ac_f77_v_output" >&5
     
    39373938ac_save_FFLAGS=$FFLAGS
    39383939FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    3939 (eval echo $as_me:3939: \"$ac_link\") >&5
     3940(eval echo $as_me:3940: \"$ac_link\") >&5
    39403941ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39413942echo "$ac_f77_v_output" >&5
     
    69916992*-*-irix6*)
    69926993  # Find out which ABI we are using.
    6993   echo '#line 6993 "configure"' > conftest.$ac_ext
     6994  echo '#line 6994 "configure"' > conftest.$ac_ext
    69946995  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    69956996  (eval $ac_compile) 2>&5
     
    89878988   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89888989   -e 's:$: $lt_compiler_flag:'`
    8989    (eval echo "\"\$as_me:8989: $lt_compile\"" >&5)
     8990   (eval echo "\"\$as_me:8990: $lt_compile\"" >&5)
    89908991   (eval "$lt_compile" 2>conftest.err)
    89918992   ac_status=$?
    89928993   cat conftest.err >&5
    8993    echo "$as_me:8993: \$? = $ac_status" >&5
     8994   echo "$as_me:8994: \$? = $ac_status" >&5
    89948995   if (exit $ac_status) && test -s "$ac_outfile"; then
    89958996     # The compiler can only warn and ignore the option if not recognized
     
    92559256   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    92569257   -e 's:$: $lt_compiler_flag:'`
    9257    (eval echo "\"\$as_me:9257: $lt_compile\"" >&5)
     9258   (eval echo "\"\$as_me:9258: $lt_compile\"" >&5)
    92589259   (eval "$lt_compile" 2>conftest.err)
    92599260   ac_status=$?
    92609261   cat conftest.err >&5
    9261    echo "$as_me:9261: \$? = $ac_status" >&5
     9262   echo "$as_me:9262: \$? = $ac_status" >&5
    92629263   if (exit $ac_status) && test -s "$ac_outfile"; then
    92639264     # The compiler can only warn and ignore the option if not recognized
     
    93599360   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93609361   -e 's:$: $lt_compiler_flag:'`
    9361    (eval echo "\"\$as_me:9361: $lt_compile\"" >&5)
     9362   (eval echo "\"\$as_me:9362: $lt_compile\"" >&5)
    93629363   (eval "$lt_compile" 2>out/conftest.err)
    93639364   ac_status=$?
    93649365   cat out/conftest.err >&5
    9365    echo "$as_me:9365: \$? = $ac_status" >&5
     9366   echo "$as_me:9366: \$? = $ac_status" >&5
    93669367   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    93679368   then
     
    1177611777  lt_status=$lt_dlunknown
    1177711778  cat > conftest.$ac_ext <<EOF
    11778 #line 11778 "configure"
     11779#line 11779 "configure"
    1177911780#include "confdefs.h"
    1178011781
     
    1187611877  lt_status=$lt_dlunknown
    1187711878  cat > conftest.$ac_ext <<EOF
    11878 #line 11878 "configure"
     11879#line 11879 "configure"
    1187911880#include "confdefs.h"
    1188011881
     
    1423614237   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1423714238   -e 's:$: $lt_compiler_flag:'`
    14238    (eval echo "\"\$as_me:14238: $lt_compile\"" >&5)
     14239   (eval echo "\"\$as_me:14239: $lt_compile\"" >&5)
    1423914240   (eval "$lt_compile" 2>conftest.err)
    1424014241   ac_status=$?
    1424114242   cat conftest.err >&5
    14242    echo "$as_me:14242: \$? = $ac_status" >&5
     14243   echo "$as_me:14243: \$? = $ac_status" >&5
    1424314244   if (exit $ac_status) && test -s "$ac_outfile"; then
    1424414245     # The compiler can only warn and ignore the option if not recognized
     
    1434014341   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1434114342   -e 's:$: $lt_compiler_flag:'`
    14342    (eval echo "\"\$as_me:14342: $lt_compile\"" >&5)
     14343   (eval echo "\"\$as_me:14343: $lt_compile\"" >&5)
    1434314344   (eval "$lt_compile" 2>out/conftest.err)
    1434414345   ac_status=$?
    1434514346   cat out/conftest.err >&5
    14346    echo "$as_me:14346: \$? = $ac_status" >&5
     14347   echo "$as_me:14347: \$? = $ac_status" >&5
    1434714348   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1434814349   then
     
    1591015911   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1591115912   -e 's:$: $lt_compiler_flag:'`
    15912    (eval echo "\"\$as_me:15912: $lt_compile\"" >&5)
     15913   (eval echo "\"\$as_me:15913: $lt_compile\"" >&5)
    1591315914   (eval "$lt_compile" 2>conftest.err)
    1591415915   ac_status=$?
    1591515916   cat conftest.err >&5
    15916    echo "$as_me:15916: \$? = $ac_status" >&5
     15917   echo "$as_me:15917: \$? = $ac_status" >&5
    1591715918   if (exit $ac_status) && test -s "$ac_outfile"; then
    1591815919     # The compiler can only warn and ignore the option if not recognized
     
    1601416015   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1601516016   -e 's:$: $lt_compiler_flag:'`
    16016    (eval echo "\"\$as_me:16016: $lt_compile\"" >&5)
     16017   (eval echo "\"\$as_me:16017: $lt_compile\"" >&5)
    1601716018   (eval "$lt_compile" 2>out/conftest.err)
    1601816019   ac_status=$?
    1601916020   cat out/conftest.err >&5
    16020    echo "$as_me:16020: \$? = $ac_status" >&5
     16021   echo "$as_me:16021: \$? = $ac_status" >&5
    1602116022   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1602216023   then
     
    1822118222   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1822218223   -e 's:$: $lt_compiler_flag:'`
    18223    (eval echo "\"\$as_me:18223: $lt_compile\"" >&5)
     18224   (eval echo "\"\$as_me:18224: $lt_compile\"" >&5)
    1822418225   (eval "$lt_compile" 2>conftest.err)
    1822518226   ac_status=$?
    1822618227   cat conftest.err >&5
    18227    echo "$as_me:18227: \$? = $ac_status" >&5
     18228   echo "$as_me:18228: \$? = $ac_status" >&5
    1822818229   if (exit $ac_status) && test -s "$ac_outfile"; then
    1822918230     # The compiler can only warn and ignore the option if not recognized
     
    1848918490   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1849018491   -e 's:$: $lt_compiler_flag:'`
    18491    (eval echo "\"\$as_me:18491: $lt_compile\"" >&5)
     18492   (eval echo "\"\$as_me:18492: $lt_compile\"" >&5)
    1849218493   (eval "$lt_compile" 2>conftest.err)
    1849318494   ac_status=$?
    1849418495   cat conftest.err >&5
    18495    echo "$as_me:18495: \$? = $ac_status" >&5
     18496   echo "$as_me:18496: \$? = $ac_status" >&5
    1849618497   if (exit $ac_status) && test -s "$ac_outfile"; then
    1849718498     # The compiler can only warn and ignore the option if not recognized
     
    1859318594   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1859418595   -e 's:$: $lt_compiler_flag:'`
    18595    (eval echo "\"\$as_me:18595: $lt_compile\"" >&5)
     18596   (eval echo "\"\$as_me:18596: $lt_compile\"" >&5)
    1859618597   (eval "$lt_compile" 2>out/conftest.err)
    1859718598   ac_status=$?
    1859818599   cat out/conftest.err >&5
    18599    echo "$as_me:18599: \$? = $ac_status" >&5
     18600   echo "$as_me:18600: \$? = $ac_status" >&5
    1860018601   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1860118602   then
     
    2149821499}
    2149921500
     21501# Check for user-provided BLAS library
     21502if test "$PACKAGE_NAME" = ThirdPartyBlas || test "$PACKAGE_NAME" = ThirdPartyLapack || test "$PACKAGE_NAME" = ThirdPartyMumps; then
     21503  coin_blasobjdir=../Blas
     21504else
     21505  coin_blasobjdir=../ThirdParty/Blas
     21506fi
     21507coin_blassrcdir=$srcdir/$coin_blasobjdir
     21508
     21509
     21510# Check whether --with-blas or --without-blas was given.
     21511if test "${with_blas+set}" = set; then
     21512  withval="$with_blas"
     21513  use_blas=$withval
     21514else
     21515  use_blas=
     21516fi;
     21517
     21518MAKEOKFILE=.MakeOk
     21519# Check if user supplied option makes sense
     21520if test x"$use_blas" != x; then
     21521  if test "$use_blas" = "BUILD"; then
     21522    # Don't check for course code if this is executed in ThirdParty/Blas
     21523    if test "$PACKAGE_NAME" != ThirdPartyBlas; then
     21524      if test -r $coin_blasobjdir/.MakeOk; then :; else
     21525        { { echo "$as_me:$LINENO: error: option \"BUILD\" specified for Blas, but $coin_blasobjdir directory is not properly configured" >&5
     21526echo "$as_me: error: option \"BUILD\" specified for Blas, but $coin_blasobjdir directory is not properly configured" >&2;}
     21527   { (exit 1); exit 1; }; }
     21528      fi
     21529    fi
     21530  elif test "$use_blas" != no ; then
     21531    echo "$as_me:$LINENO: checking whether user supplied BLASLIB=\"$use_blas\" works" >&5
     21532echo $ECHO_N "checking whether user supplied BLASLIB=\"$use_blas\" works... $ECHO_C" >&6
     21533    LIBS="$use_blas $LIBS"
     21534    ADDLIBS="$use_blas $ADDLIBS"
     21535    case $ac_ext in
     21536  f)
     21537    cat >conftest.$ac_ext <<_ACEOF
     21538/* confdefs.h.  */
     21539_ACEOF
     21540cat confdefs.h >>conftest.$ac_ext
     21541cat >>conftest.$ac_ext <<_ACEOF
     21542/* end confdefs.h.  */
     21543
     21544#ifdef F77_DUMMY_MAIN
     21545
     21546#  ifdef __cplusplus
     21547     extern "C"
     21548#  endif
     21549   int F77_DUMMY_MAIN() { return 1; }
     21550
     21551#endif
     21552int
     21553main ()
     21554{
     21555      call daxpy
     21556  ;
     21557  return 0;
     21558}
     21559_ACEOF
     21560rm -f conftest.$ac_objext conftest$ac_exeext
     21561if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21562  (eval $ac_link) 2>conftest.er1
     21563  ac_status=$?
     21564  grep -v '^ *+' conftest.er1 >conftest.err
     21565  rm -f conftest.er1
     21566  cat conftest.err >&5
     21567  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21568  (exit $ac_status); } &&
     21569         { ac_try='test -z "$ac_c_werror_flag"
     21570                         || test ! -s conftest.err'
     21571  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21572  (eval $ac_try) 2>&5
     21573  ac_status=$?
     21574  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21575  (exit $ac_status); }; } &&
     21576         { ac_try='test -s conftest$ac_exeext'
     21577  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21578  (eval $ac_try) 2>&5
     21579  ac_status=$?
     21580  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21581  (exit $ac_status); }; }; then
     21582  echo "$as_me:$LINENO: result: yes" >&5
     21583echo "${ECHO_T}yes" >&6
     21584else
     21585  echo "$as_me: failed program was:" >&5
     21586sed 's/^/| /' conftest.$ac_ext >&5
     21587
     21588echo "$as_me:$LINENO: result: no" >&5
     21589echo "${ECHO_T}no" >&6
     21590                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21591echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21592   { (exit 1); exit 1; }; }
     21593fi
     21594rm -f conftest.err conftest.$ac_objext \
     21595      conftest$ac_exeext conftest.$ac_ext
     21596    ;;
     21597  c)
     21598    ac_ext=f
     21599ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21600ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21601ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21602case $ac_cv_f77_mangling in
     21603  upper*) ac_val="DAXPY" ;;
     21604  lower*) ac_val="daxpy" ;;
     21605  *)      ac_val="unknown" ;;
     21606esac
     21607case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     21608
     21609cfuncdaxpy="$ac_val"
     21610
     21611ac_ext=c
     21612ac_cpp='$CPP $CPPFLAGS'
     21613ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21614ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21615ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21616
     21617    if test x"$coin_need_flibs" = xyes; then
     21618      flink_try=no;
     21619    else
     21620      cat >conftest.$ac_ext <<_ACEOF
     21621/* confdefs.h.  */
     21622_ACEOF
     21623cat confdefs.h >>conftest.$ac_ext
     21624cat >>conftest.$ac_ext <<_ACEOF
     21625/* end confdefs.h.  */
     21626void $cfuncdaxpy();
     21627#ifdef F77_DUMMY_MAIN
     21628
     21629#  ifdef __cplusplus
     21630     extern "C"
     21631#  endif
     21632   int F77_DUMMY_MAIN() { return 1; }
     21633
     21634#endif
     21635int
     21636main ()
     21637{
     21638$cfuncdaxpy()
     21639  ;
     21640  return 0;
     21641}
     21642_ACEOF
     21643rm -f conftest.$ac_objext conftest$ac_exeext
     21644if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21645  (eval $ac_link) 2>conftest.er1
     21646  ac_status=$?
     21647  grep -v '^ *+' conftest.er1 >conftest.err
     21648  rm -f conftest.er1
     21649  cat conftest.err >&5
     21650  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21651  (exit $ac_status); } &&
     21652         { ac_try='test -z "$ac_c_werror_flag"
     21653                         || test ! -s conftest.err'
     21654  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21655  (eval $ac_try) 2>&5
     21656  ac_status=$?
     21657  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21658  (exit $ac_status); }; } &&
     21659         { ac_try='test -s conftest$ac_exeext'
     21660  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21661  (eval $ac_try) 2>&5
     21662  ac_status=$?
     21663  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21664  (exit $ac_status); }; }; then
     21665  flink_try=yes
     21666else
     21667  echo "$as_me: failed program was:" >&5
     21668sed 's/^/| /' conftest.$ac_ext >&5
     21669
     21670flink_try=no
     21671fi
     21672rm -f conftest.err conftest.$ac_objext \
     21673      conftest$ac_exeext conftest.$ac_ext
     21674    fi
     21675    if test $flink_try = yes; then
     21676      echo "$as_me:$LINENO: result: yes" >&5
     21677echo "${ECHO_T}yes" >&6
     21678    else
     21679      if test x"$FLIBS" != x; then
     21680        flink_save_libs="$LIBS"
     21681        LIBS="$LIBS $FLIBS"
     21682        cat >conftest.$ac_ext <<_ACEOF
     21683/* confdefs.h.  */
     21684_ACEOF
     21685cat confdefs.h >>conftest.$ac_ext
     21686cat >>conftest.$ac_ext <<_ACEOF
     21687/* end confdefs.h.  */
     21688void $cfuncdaxpy();
     21689#ifdef F77_DUMMY_MAIN
     21690
     21691#  ifdef __cplusplus
     21692     extern "C"
     21693#  endif
     21694   int F77_DUMMY_MAIN() { return 1; }
     21695
     21696#endif
     21697int
     21698main ()
     21699{
     21700$cfuncdaxpy()
     21701  ;
     21702  return 0;
     21703}
     21704_ACEOF
     21705rm -f conftest.$ac_objext conftest$ac_exeext
     21706if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21707  (eval $ac_link) 2>conftest.er1
     21708  ac_status=$?
     21709  grep -v '^ *+' conftest.er1 >conftest.err
     21710  rm -f conftest.er1
     21711  cat conftest.err >&5
     21712  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21713  (exit $ac_status); } &&
     21714         { ac_try='test -z "$ac_c_werror_flag"
     21715                         || test ! -s conftest.err'
     21716  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21717  (eval $ac_try) 2>&5
     21718  ac_status=$?
     21719  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21720  (exit $ac_status); }; } &&
     21721         { ac_try='test -s conftest$ac_exeext'
     21722  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21723  (eval $ac_try) 2>&5
     21724  ac_status=$?
     21725  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21726  (exit $ac_status); }; }; then
     21727  LIBS="$flink_save_libs"
     21728                     echo "$as_me:$LINENO: result: yes" >&5
     21729echo "${ECHO_T}yes" >&6
     21730                     coin_need_flibs=yes
     21731else
     21732  echo "$as_me: failed program was:" >&5
     21733sed 's/^/| /' conftest.$ac_ext >&5
     21734
     21735LIBS="$flink_save_libs"
     21736                     echo "$as_me:$LINENO: result: no" >&5
     21737echo "${ECHO_T}no" >&6
     21738                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21739echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21740   { (exit 1); exit 1; }; }
     21741fi
     21742rm -f conftest.err conftest.$ac_objext \
     21743      conftest$ac_exeext conftest.$ac_ext
     21744      else
     21745        echo "$as_me:$LINENO: result: no" >&5
     21746echo "${ECHO_T}no" >&6
     21747                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21748echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21749   { (exit 1); exit 1; }; }
     21750      fi
     21751    fi
     21752    ;;
     21753  cc|cpp)
     21754    ac_ext=f
     21755ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21756ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21757ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21758case $ac_cv_f77_mangling in
     21759  upper*) ac_val="DAXPY" ;;
     21760  lower*) ac_val="daxpy" ;;
     21761  *)      ac_val="unknown" ;;
     21762esac
     21763case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     21764
     21765cfuncdaxpy="$ac_val"
     21766
     21767ac_ext=c
     21768ac_cpp='$CPP $CPPFLAGS'
     21769ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21770ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21771ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21772
     21773    if test x"$coin_need_flibs" = xyes; then
     21774      flink_try=no;
     21775    else
     21776      cat >conftest.$ac_ext <<_ACEOF
     21777/* confdefs.h.  */
     21778_ACEOF
     21779cat confdefs.h >>conftest.$ac_ext
     21780cat >>conftest.$ac_ext <<_ACEOF
     21781/* end confdefs.h.  */
     21782extern "C" {void $cfuncdaxpy();}
     21783#ifdef F77_DUMMY_MAIN
     21784
     21785#  ifdef __cplusplus
     21786     extern "C"
     21787#  endif
     21788   int F77_DUMMY_MAIN() { return 1; }
     21789
     21790#endif
     21791int
     21792main ()
     21793{
     21794$cfuncdaxpy()
     21795  ;
     21796  return 0;
     21797}
     21798_ACEOF
     21799rm -f conftest.$ac_objext conftest$ac_exeext
     21800if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21801  (eval $ac_link) 2>conftest.er1
     21802  ac_status=$?
     21803  grep -v '^ *+' conftest.er1 >conftest.err
     21804  rm -f conftest.er1
     21805  cat conftest.err >&5
     21806  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21807  (exit $ac_status); } &&
     21808         { ac_try='test -z "$ac_c_werror_flag"
     21809                         || test ! -s conftest.err'
     21810  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21811  (eval $ac_try) 2>&5
     21812  ac_status=$?
     21813  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21814  (exit $ac_status); }; } &&
     21815         { ac_try='test -s conftest$ac_exeext'
     21816  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21817  (eval $ac_try) 2>&5
     21818  ac_status=$?
     21819  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21820  (exit $ac_status); }; }; then
     21821  flink_try=yes
     21822else
     21823  echo "$as_me: failed program was:" >&5
     21824sed 's/^/| /' conftest.$ac_ext >&5
     21825
     21826flink_try=no
     21827fi
     21828rm -f conftest.err conftest.$ac_objext \
     21829      conftest$ac_exeext conftest.$ac_ext
     21830    fi
     21831    if test $flink_try = yes; then
     21832      echo "$as_me:$LINENO: result: yes" >&5
     21833echo "${ECHO_T}yes" >&6
     21834    else
     21835      if test x"$FLIBS" != x; then
     21836        flink_save_libs="$LIBS"
     21837        LIBS="$LIBS $FLIBS"
     21838        cat >conftest.$ac_ext <<_ACEOF
     21839/* confdefs.h.  */
     21840_ACEOF
     21841cat confdefs.h >>conftest.$ac_ext
     21842cat >>conftest.$ac_ext <<_ACEOF
     21843/* end confdefs.h.  */
     21844extern "C" {void $cfuncdaxpy();}
     21845#ifdef F77_DUMMY_MAIN
     21846
     21847#  ifdef __cplusplus
     21848     extern "C"
     21849#  endif
     21850   int F77_DUMMY_MAIN() { return 1; }
     21851
     21852#endif
     21853int
     21854main ()
     21855{
     21856$cfuncdaxpy()
     21857  ;
     21858  return 0;
     21859}
     21860_ACEOF
     21861rm -f conftest.$ac_objext conftest$ac_exeext
     21862if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21863  (eval $ac_link) 2>conftest.er1
     21864  ac_status=$?
     21865  grep -v '^ *+' conftest.er1 >conftest.err
     21866  rm -f conftest.er1
     21867  cat conftest.err >&5
     21868  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21869  (exit $ac_status); } &&
     21870         { ac_try='test -z "$ac_c_werror_flag"
     21871                         || test ! -s conftest.err'
     21872  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21873  (eval $ac_try) 2>&5
     21874  ac_status=$?
     21875  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21876  (exit $ac_status); }; } &&
     21877         { ac_try='test -s conftest$ac_exeext'
     21878  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21879  (eval $ac_try) 2>&5
     21880  ac_status=$?
     21881  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21882  (exit $ac_status); }; }; then
     21883  LIBS="$flink_save_libs"
     21884                     echo "$as_me:$LINENO: result: yes" >&5
     21885echo "${ECHO_T}yes" >&6
     21886                     coin_need_flibs=yes
     21887else
     21888  echo "$as_me: failed program was:" >&5
     21889sed 's/^/| /' conftest.$ac_ext >&5
     21890
     21891LIBS="$flink_save_libs"
     21892                     echo "$as_me:$LINENO: result: no" >&5
     21893echo "${ECHO_T}no" >&6
     21894                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21895echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21896   { (exit 1); exit 1; }; }
     21897fi
     21898rm -f conftest.err conftest.$ac_objext \
     21899      conftest$ac_exeext conftest.$ac_ext
     21900      else
     21901        echo "$as_me:$LINENO: result: no" >&5
     21902echo "${ECHO_T}no" >&6
     21903                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21904echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21905   { (exit 1); exit 1; }; }
     21906      fi
     21907    fi
     21908    ;;
     21909esac
     21910
     21911  fi
     21912else
     21913# Try to autodetect the library for blas based on build system
     21914  #AC_MSG_CHECKING([default locations for BLAS])
     21915  skip_lblas_check=no
     21916  case $build in
     21917    *-sgi-*)
     21918      SAVE_LIBS="$LIBS"
     21919      echo "$as_me:$LINENO: checking whether -lcomplib.sgimath has BLAS" >&5
     21920echo $ECHO_N "checking whether -lcomplib.sgimath has BLAS... $ECHO_C" >&6
     21921      LIBS="-lcomplib.sgimath $LIBS"
     21922      case $ac_ext in
     21923  f)
     21924    cat >conftest.$ac_ext <<_ACEOF
     21925/* confdefs.h.  */
     21926_ACEOF
     21927cat confdefs.h >>conftest.$ac_ext
     21928cat >>conftest.$ac_ext <<_ACEOF
     21929/* end confdefs.h.  */
     21930
     21931#ifdef F77_DUMMY_MAIN
     21932
     21933#  ifdef __cplusplus
     21934     extern "C"
     21935#  endif
     21936   int F77_DUMMY_MAIN() { return 1; }
     21937
     21938#endif
     21939int
     21940main ()
     21941{
     21942      call daxpy
     21943  ;
     21944  return 0;
     21945}
     21946_ACEOF
     21947rm -f conftest.$ac_objext conftest$ac_exeext
     21948if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21949  (eval $ac_link) 2>conftest.er1
     21950  ac_status=$?
     21951  grep -v '^ *+' conftest.er1 >conftest.err
     21952  rm -f conftest.er1
     21953  cat conftest.err >&5
     21954  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21955  (exit $ac_status); } &&
     21956         { ac_try='test -z "$ac_c_werror_flag"
     21957                         || test ! -s conftest.err'
     21958  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21959  (eval $ac_try) 2>&5
     21960  ac_status=$?
     21961  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21962  (exit $ac_status); }; } &&
     21963         { ac_try='test -s conftest$ac_exeext'
     21964  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21965  (eval $ac_try) 2>&5
     21966  ac_status=$?
     21967  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21968  (exit $ac_status); }; }; then
     21969  echo "$as_me:$LINENO: result: yes" >&5
     21970echo "${ECHO_T}yes" >&6
     21971                         use_blas=-lcomplib.sgimath;
     21972                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     21973else
     21974  echo "$as_me: failed program was:" >&5
     21975sed 's/^/| /' conftest.$ac_ext >&5
     21976
     21977echo "$as_me:$LINENO: result: no" >&5
     21978echo "${ECHO_T}no" >&6
     21979                         SAVE_LIBS="$LIBS"
     21980fi
     21981rm -f conftest.err conftest.$ac_objext \
     21982      conftest$ac_exeext conftest.$ac_ext
     21983    ;;
     21984  c)
     21985    ac_ext=f
     21986ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21987ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21988ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21989case $ac_cv_f77_mangling in
     21990  upper*) ac_val="DAXPY" ;;
     21991  lower*) ac_val="daxpy" ;;
     21992  *)      ac_val="unknown" ;;
     21993esac
     21994case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     21995
     21996cfuncdaxpy="$ac_val"
     21997
     21998ac_ext=c
     21999ac_cpp='$CPP $CPPFLAGS'
     22000ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22001ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22002ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22003
     22004    if test x"$coin_need_flibs" = xyes; then
     22005      flink_try=no;
     22006    else
     22007      cat >conftest.$ac_ext <<_ACEOF
     22008/* confdefs.h.  */
     22009_ACEOF
     22010cat confdefs.h >>conftest.$ac_ext
     22011cat >>conftest.$ac_ext <<_ACEOF
     22012/* end confdefs.h.  */
     22013void $cfuncdaxpy();
     22014#ifdef F77_DUMMY_MAIN
     22015
     22016#  ifdef __cplusplus
     22017     extern "C"
     22018#  endif
     22019   int F77_DUMMY_MAIN() { return 1; }
     22020
     22021#endif
     22022int
     22023main ()
     22024{
     22025$cfuncdaxpy()
     22026  ;
     22027  return 0;
     22028}
     22029_ACEOF
     22030rm -f conftest.$ac_objext conftest$ac_exeext
     22031if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22032  (eval $ac_link) 2>conftest.er1
     22033  ac_status=$?
     22034  grep -v '^ *+' conftest.er1 >conftest.err
     22035  rm -f conftest.er1
     22036  cat conftest.err >&5
     22037  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22038  (exit $ac_status); } &&
     22039         { ac_try='test -z "$ac_c_werror_flag"
     22040                         || test ! -s conftest.err'
     22041  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22042  (eval $ac_try) 2>&5
     22043  ac_status=$?
     22044  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22045  (exit $ac_status); }; } &&
     22046         { ac_try='test -s conftest$ac_exeext'
     22047  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22048  (eval $ac_try) 2>&5
     22049  ac_status=$?
     22050  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22051  (exit $ac_status); }; }; then
     22052  flink_try=yes
     22053else
     22054  echo "$as_me: failed program was:" >&5
     22055sed 's/^/| /' conftest.$ac_ext >&5
     22056
     22057flink_try=no
     22058fi
     22059rm -f conftest.err conftest.$ac_objext \
     22060      conftest$ac_exeext conftest.$ac_ext
     22061    fi
     22062    if test $flink_try = yes; then
     22063      echo "$as_me:$LINENO: result: yes" >&5
     22064echo "${ECHO_T}yes" >&6
     22065                         use_blas=-lcomplib.sgimath;
     22066                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     22067    else
     22068      if test x"$FLIBS" != x; then
     22069        flink_save_libs="$LIBS"
     22070        LIBS="$LIBS $FLIBS"
     22071        cat >conftest.$ac_ext <<_ACEOF
     22072/* confdefs.h.  */
     22073_ACEOF
     22074cat confdefs.h >>conftest.$ac_ext
     22075cat >>conftest.$ac_ext <<_ACEOF
     22076/* end confdefs.h.  */
     22077void $cfuncdaxpy();
     22078#ifdef F77_DUMMY_MAIN
     22079
     22080#  ifdef __cplusplus
     22081     extern "C"
     22082#  endif
     22083   int F77_DUMMY_MAIN() { return 1; }
     22084
     22085#endif
     22086int
     22087main ()
     22088{
     22089$cfuncdaxpy()
     22090  ;
     22091  return 0;
     22092}
     22093_ACEOF
     22094rm -f conftest.$ac_objext conftest$ac_exeext
     22095if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22096  (eval $ac_link) 2>conftest.er1
     22097  ac_status=$?
     22098  grep -v '^ *+' conftest.er1 >conftest.err
     22099  rm -f conftest.er1
     22100  cat conftest.err >&5
     22101  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22102  (exit $ac_status); } &&
     22103         { ac_try='test -z "$ac_c_werror_flag"
     22104                         || test ! -s conftest.err'
     22105  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22106  (eval $ac_try) 2>&5
     22107  ac_status=$?
     22108  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22109  (exit $ac_status); }; } &&
     22110         { ac_try='test -s conftest$ac_exeext'
     22111  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22112  (eval $ac_try) 2>&5
     22113  ac_status=$?
     22114  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22115  (exit $ac_status); }; }; then
     22116  LIBS="$flink_save_libs"
     22117                     echo "$as_me:$LINENO: result: yes" >&5
     22118echo "${ECHO_T}yes" >&6
     22119                         use_blas=-lcomplib.sgimath;
     22120                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     22121                     coin_need_flibs=yes
     22122else
     22123  echo "$as_me: failed program was:" >&5
     22124sed 's/^/| /' conftest.$ac_ext >&5
     22125
     22126LIBS="$flink_save_libs"
     22127                     echo "$as_me:$LINENO: result: no" >&5
     22128echo "${ECHO_T}no" >&6
     22129                         SAVE_LIBS="$LIBS"
     22130fi
     22131rm -f conftest.err conftest.$ac_objext \
     22132      conftest$ac_exeext conftest.$ac_ext
     22133      else
     22134        echo "$as_me:$LINENO: result: no" >&5
     22135echo "${ECHO_T}no" >&6
     22136                         SAVE_LIBS="$LIBS"
     22137      fi
     22138    fi
     22139    ;;
     22140  cc|cpp)
     22141    ac_ext=f
     22142ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22143ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22144ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22145case $ac_cv_f77_mangling in
     22146  upper*) ac_val="DAXPY" ;;
     22147  lower*) ac_val="daxpy" ;;
     22148  *)      ac_val="unknown" ;;
     22149esac
     22150case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22151
     22152cfuncdaxpy="$ac_val"
     22153
     22154ac_ext=c
     22155ac_cpp='$CPP $CPPFLAGS'
     22156ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22157ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22158ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22159
     22160    if test x"$coin_need_flibs" = xyes; then
     22161      flink_try=no;
     22162    else
     22163      cat >conftest.$ac_ext <<_ACEOF
     22164/* confdefs.h.  */
     22165_ACEOF
     22166cat confdefs.h >>conftest.$ac_ext
     22167cat >>conftest.$ac_ext <<_ACEOF
     22168/* end confdefs.h.  */
     22169extern "C" {void $cfuncdaxpy();}
     22170#ifdef F77_DUMMY_MAIN
     22171
     22172#  ifdef __cplusplus
     22173     extern "C"
     22174#  endif
     22175   int F77_DUMMY_MAIN() { return 1; }
     22176
     22177#endif
     22178int
     22179main ()
     22180{
     22181$cfuncdaxpy()
     22182  ;
     22183  return 0;
     22184}
     22185_ACEOF
     22186rm -f conftest.$ac_objext conftest$ac_exeext
     22187if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22188  (eval $ac_link) 2>conftest.er1
     22189  ac_status=$?
     22190  grep -v '^ *+' conftest.er1 >conftest.err
     22191  rm -f conftest.er1
     22192  cat conftest.err >&5
     22193  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22194  (exit $ac_status); } &&
     22195         { ac_try='test -z "$ac_c_werror_flag"
     22196                         || test ! -s conftest.err'
     22197  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22198  (eval $ac_try) 2>&5
     22199  ac_status=$?
     22200  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22201  (exit $ac_status); }; } &&
     22202         { ac_try='test -s conftest$ac_exeext'
     22203  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22204  (eval $ac_try) 2>&5
     22205  ac_status=$?
     22206  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22207  (exit $ac_status); }; }; then
     22208  flink_try=yes
     22209else
     22210  echo "$as_me: failed program was:" >&5
     22211sed 's/^/| /' conftest.$ac_ext >&5
     22212
     22213flink_try=no
     22214fi
     22215rm -f conftest.err conftest.$ac_objext \
     22216      conftest$ac_exeext conftest.$ac_ext
     22217    fi
     22218    if test $flink_try = yes; then
     22219      echo "$as_me:$LINENO: result: yes" >&5
     22220echo "${ECHO_T}yes" >&6
     22221                         use_blas=-lcomplib.sgimath;
     22222                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     22223    else
     22224      if test x"$FLIBS" != x; then
     22225        flink_save_libs="$LIBS"
     22226        LIBS="$LIBS $FLIBS"
     22227        cat >conftest.$ac_ext <<_ACEOF
     22228/* confdefs.h.  */
     22229_ACEOF
     22230cat confdefs.h >>conftest.$ac_ext
     22231cat >>conftest.$ac_ext <<_ACEOF
     22232/* end confdefs.h.  */
     22233extern "C" {void $cfuncdaxpy();}
     22234#ifdef F77_DUMMY_MAIN
     22235
     22236#  ifdef __cplusplus
     22237     extern "C"
     22238#  endif
     22239   int F77_DUMMY_MAIN() { return 1; }
     22240
     22241#endif
     22242int
     22243main ()
     22244{
     22245$cfuncdaxpy()
     22246  ;
     22247  return 0;
     22248}
     22249_ACEOF
     22250rm -f conftest.$ac_objext conftest$ac_exeext
     22251if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22252  (eval $ac_link) 2>conftest.er1
     22253  ac_status=$?
     22254  grep -v '^ *+' conftest.er1 >conftest.err
     22255  rm -f conftest.er1
     22256  cat conftest.err >&5
     22257  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22258  (exit $ac_status); } &&
     22259         { ac_try='test -z "$ac_c_werror_flag"
     22260                         || test ! -s conftest.err'
     22261  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22262  (eval $ac_try) 2>&5
     22263  ac_status=$?
     22264  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22265  (exit $ac_status); }; } &&
     22266         { ac_try='test -s conftest$ac_exeext'
     22267  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22268  (eval $ac_try) 2>&5
     22269  ac_status=$?
     22270  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22271  (exit $ac_status); }; }; then
     22272  LIBS="$flink_save_libs"
     22273                     echo "$as_me:$LINENO: result: yes" >&5
     22274echo "${ECHO_T}yes" >&6
     22275                         use_blas=-lcomplib.sgimath;
     22276                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     22277                     coin_need_flibs=yes
     22278else
     22279  echo "$as_me: failed program was:" >&5
     22280sed 's/^/| /' conftest.$ac_ext >&5
     22281
     22282LIBS="$flink_save_libs"
     22283                     echo "$as_me:$LINENO: result: no" >&5
     22284echo "${ECHO_T}no" >&6
     22285                         SAVE_LIBS="$LIBS"
     22286fi
     22287rm -f conftest.err conftest.$ac_objext \
     22288      conftest$ac_exeext conftest.$ac_ext
     22289      else
     22290        echo "$as_me:$LINENO: result: no" >&5
     22291echo "${ECHO_T}no" >&6
     22292                         SAVE_LIBS="$LIBS"
     22293      fi
     22294    fi
     22295    ;;
     22296esac
     22297
     22298      ;;
     22299
     22300# Ideally, we'd use -library=sunperf, but it's an imperfect world. Studio
     22301# cc doesn't recognise -library, it wants -xlic_lib. Studio 12 CC doesn't
     22302# recognise -xlic_lib. Libtool doesn't like -xlic_lib anyway. Sun claims
     22303# that CC and cc will understand -library in Studio 13. The main extra
     22304# function of -xlic_lib and -library is to arrange for the Fortran run-time
     22305# libraries to be linked for C++ and C. We can arrange that explicitly.
     22306    *-*-solaris*)
     22307      SAVE_LIBS="$LIBS"
     22308      echo "$as_me:$LINENO: checking for BLAS in libsunperf" >&5
     22309echo $ECHO_N "checking for BLAS in libsunperf... $ECHO_C" >&6
     22310      LIBS="-lsunperf $FLIBS $LIBS"
     22311      case $ac_ext in
     22312  f)
     22313    cat >conftest.$ac_ext <<_ACEOF
     22314/* confdefs.h.  */
     22315_ACEOF
     22316cat confdefs.h >>conftest.$ac_ext
     22317cat >>conftest.$ac_ext <<_ACEOF
     22318/* end confdefs.h.  */
     22319
     22320#ifdef F77_DUMMY_MAIN
     22321
     22322#  ifdef __cplusplus
     22323     extern "C"
     22324#  endif
     22325   int F77_DUMMY_MAIN() { return 1; }
     22326
     22327#endif
     22328int
     22329main ()
     22330{
     22331      call daxpy
     22332  ;
     22333  return 0;
     22334}
     22335_ACEOF
     22336rm -f conftest.$ac_objext conftest$ac_exeext
     22337if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22338  (eval $ac_link) 2>conftest.er1
     22339  ac_status=$?
     22340  grep -v '^ *+' conftest.er1 >conftest.err
     22341  rm -f conftest.er1
     22342  cat conftest.err >&5
     22343  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22344  (exit $ac_status); } &&
     22345         { ac_try='test -z "$ac_c_werror_flag"
     22346                         || test ! -s conftest.err'
     22347  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22348  (eval $ac_try) 2>&5
     22349  ac_status=$?
     22350  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22351  (exit $ac_status); }; } &&
     22352         { ac_try='test -s conftest$ac_exeext'
     22353  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22354  (eval $ac_try) 2>&5
     22355  ac_status=$?
     22356  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22357  (exit $ac_status); }; }; then
     22358  echo "$as_me:$LINENO: result: yes" >&5
     22359echo "${ECHO_T}yes" >&6
     22360                         use_blas='-lsunperf'
     22361                         ADDLIBS="-lsunperf $ADDLIBS"
     22362                         coin_need_flibs=yes
     22363else
     22364  echo "$as_me: failed program was:" >&5
     22365sed 's/^/| /' conftest.$ac_ext >&5
     22366
     22367echo "$as_me:$LINENO: result: no" >&5
     22368echo "${ECHO_T}no" >&6
     22369                         LIBS="$SAVE_LIBS"
     22370fi
     22371rm -f conftest.err conftest.$ac_objext \
     22372      conftest$ac_exeext conftest.$ac_ext
     22373    ;;
     22374  c)
     22375    ac_ext=f
     22376ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22377ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22378ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22379case $ac_cv_f77_mangling in
     22380  upper*) ac_val="DAXPY" ;;
     22381  lower*) ac_val="daxpy" ;;
     22382  *)      ac_val="unknown" ;;
     22383esac
     22384case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22385
     22386cfuncdaxpy="$ac_val"
     22387
     22388ac_ext=c
     22389ac_cpp='$CPP $CPPFLAGS'
     22390ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22391ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22392ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22393
     22394    if test x"$coin_need_flibs" = xyes; then
     22395      flink_try=no;
     22396    else
     22397      cat >conftest.$ac_ext <<_ACEOF
     22398/* confdefs.h.  */
     22399_ACEOF
     22400cat confdefs.h >>conftest.$ac_ext
     22401cat >>conftest.$ac_ext <<_ACEOF
     22402/* end confdefs.h.  */
     22403void $cfuncdaxpy();
     22404#ifdef F77_DUMMY_MAIN
     22405
     22406#  ifdef __cplusplus
     22407     extern "C"
     22408#  endif
     22409   int F77_DUMMY_MAIN() { return 1; }
     22410
     22411#endif
     22412int
     22413main ()
     22414{
     22415$cfuncdaxpy()
     22416  ;
     22417  return 0;
     22418}
     22419_ACEOF
     22420rm -f conftest.$ac_objext conftest$ac_exeext
     22421if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22422  (eval $ac_link) 2>conftest.er1
     22423  ac_status=$?
     22424  grep -v '^ *+' conftest.er1 >conftest.err
     22425  rm -f conftest.er1
     22426  cat conftest.err >&5
     22427  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22428  (exit $ac_status); } &&
     22429         { ac_try='test -z "$ac_c_werror_flag"
     22430                         || test ! -s conftest.err'
     22431  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22432  (eval $ac_try) 2>&5
     22433  ac_status=$?
     22434  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22435  (exit $ac_status); }; } &&
     22436         { ac_try='test -s conftest$ac_exeext'
     22437  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22438  (eval $ac_try) 2>&5
     22439  ac_status=$?
     22440  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22441  (exit $ac_status); }; }; then
     22442  flink_try=yes
     22443else
     22444  echo "$as_me: failed program was:" >&5
     22445sed 's/^/| /' conftest.$ac_ext >&5
     22446
     22447flink_try=no
     22448fi
     22449rm -f conftest.err conftest.$ac_objext \
     22450      conftest$ac_exeext conftest.$ac_ext
     22451    fi
     22452    if test $flink_try = yes; then
     22453      echo "$as_me:$LINENO: result: yes" >&5
     22454echo "${ECHO_T}yes" >&6
     22455                         use_blas='-lsunperf'
     22456                         ADDLIBS="-lsunperf $ADDLIBS"
     22457                         coin_need_flibs=yes
     22458    else
     22459      if test x"$FLIBS" != x; then
     22460        flink_save_libs="$LIBS"
     22461        LIBS="$LIBS $FLIBS"
     22462        cat >conftest.$ac_ext <<_ACEOF
     22463/* confdefs.h.  */
     22464_ACEOF
     22465cat confdefs.h >>conftest.$ac_ext
     22466cat >>conftest.$ac_ext <<_ACEOF
     22467/* end confdefs.h.  */
     22468void $cfuncdaxpy();
     22469#ifdef F77_DUMMY_MAIN
     22470
     22471#  ifdef __cplusplus
     22472     extern "C"
     22473#  endif
     22474   int F77_DUMMY_MAIN() { return 1; }
     22475
     22476#endif
     22477int
     22478main ()
     22479{
     22480$cfuncdaxpy()
     22481  ;
     22482  return 0;
     22483}
     22484_ACEOF
     22485rm -f conftest.$ac_objext conftest$ac_exeext
     22486if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22487  (eval $ac_link) 2>conftest.er1
     22488  ac_status=$?
     22489  grep -v '^ *+' conftest.er1 >conftest.err
     22490  rm -f conftest.er1
     22491  cat conftest.err >&5
     22492  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22493  (exit $ac_status); } &&
     22494         { ac_try='test -z "$ac_c_werror_flag"
     22495                         || test ! -s conftest.err'
     22496  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22497  (eval $ac_try) 2>&5
     22498  ac_status=$?
     22499  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22500  (exit $ac_status); }; } &&
     22501         { ac_try='test -s conftest$ac_exeext'
     22502  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22503  (eval $ac_try) 2>&5
     22504  ac_status=$?
     22505  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22506  (exit $ac_status); }; }; then
     22507  LIBS="$flink_save_libs"
     22508                     echo "$as_me:$LINENO: result: yes" >&5
     22509echo "${ECHO_T}yes" >&6
     22510                         use_blas='-lsunperf'
     22511                         ADDLIBS="-lsunperf $ADDLIBS"
     22512                         coin_need_flibs=yes
     22513                     coin_need_flibs=yes
     22514else
     22515  echo "$as_me: failed program was:" >&5
     22516sed 's/^/| /' conftest.$ac_ext >&5
     22517
     22518LIBS="$flink_save_libs"
     22519                     echo "$as_me:$LINENO: result: no" >&5
     22520echo "${ECHO_T}no" >&6
     22521                         LIBS="$SAVE_LIBS"
     22522fi
     22523rm -f conftest.err conftest.$ac_objext \
     22524      conftest$ac_exeext conftest.$ac_ext
     22525      else
     22526        echo "$as_me:$LINENO: result: no" >&5
     22527echo "${ECHO_T}no" >&6
     22528                         LIBS="$SAVE_LIBS"
     22529      fi
     22530    fi
     22531    ;;
     22532  cc|cpp)
     22533    ac_ext=f
     22534ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22535ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22536ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22537case $ac_cv_f77_mangling in
     22538  upper*) ac_val="DAXPY" ;;
     22539  lower*) ac_val="daxpy" ;;
     22540  *)      ac_val="unknown" ;;
     22541esac
     22542case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22543
     22544cfuncdaxpy="$ac_val"
     22545
     22546ac_ext=c
     22547ac_cpp='$CPP $CPPFLAGS'
     22548ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22549ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22550ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22551
     22552    if test x"$coin_need_flibs" = xyes; then
     22553      flink_try=no;
     22554    else
     22555      cat >conftest.$ac_ext <<_ACEOF
     22556/* confdefs.h.  */
     22557_ACEOF
     22558cat confdefs.h >>conftest.$ac_ext
     22559cat >>conftest.$ac_ext <<_ACEOF
     22560/* end confdefs.h.  */
     22561extern "C" {void $cfuncdaxpy();}
     22562#ifdef F77_DUMMY_MAIN
     22563
     22564#  ifdef __cplusplus
     22565     extern "C"
     22566#  endif
     22567   int F77_DUMMY_MAIN() { return 1; }
     22568
     22569#endif
     22570int
     22571main ()
     22572{
     22573$cfuncdaxpy()
     22574  ;
     22575  return 0;
     22576}
     22577_ACEOF
     22578rm -f conftest.$ac_objext conftest$ac_exeext
     22579if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22580  (eval $ac_link) 2>conftest.er1
     22581  ac_status=$?
     22582  grep -v '^ *+' conftest.er1 >conftest.err
     22583  rm -f conftest.er1
     22584  cat conftest.err >&5
     22585  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22586  (exit $ac_status); } &&
     22587         { ac_try='test -z "$ac_c_werror_flag"
     22588                         || test ! -s conftest.err'
     22589  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22590  (eval $ac_try) 2>&5
     22591  ac_status=$?
     22592  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22593  (exit $ac_status); }; } &&
     22594         { ac_try='test -s conftest$ac_exeext'
     22595  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22596  (eval $ac_try) 2>&5
     22597  ac_status=$?
     22598  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22599  (exit $ac_status); }; }; then
     22600  flink_try=yes
     22601else
     22602  echo "$as_me: failed program was:" >&5
     22603sed 's/^/| /' conftest.$ac_ext >&5
     22604
     22605flink_try=no
     22606fi
     22607rm -f conftest.err conftest.$ac_objext \
     22608      conftest$ac_exeext conftest.$ac_ext
     22609    fi
     22610    if test $flink_try = yes; then
     22611      echo "$as_me:$LINENO: result: yes" >&5
     22612echo "${ECHO_T}yes" >&6
     22613                         use_blas='-lsunperf'
     22614                         ADDLIBS="-lsunperf $ADDLIBS"
     22615                         coin_need_flibs=yes
     22616    else
     22617      if test x"$FLIBS" != x; then
     22618        flink_save_libs="$LIBS"
     22619        LIBS="$LIBS $FLIBS"
     22620        cat >conftest.$ac_ext <<_ACEOF
     22621/* confdefs.h.  */
     22622_ACEOF
     22623cat confdefs.h >>conftest.$ac_ext
     22624cat >>conftest.$ac_ext <<_ACEOF
     22625/* end confdefs.h.  */
     22626extern "C" {void $cfuncdaxpy();}
     22627#ifdef F77_DUMMY_MAIN
     22628
     22629#  ifdef __cplusplus
     22630     extern "C"
     22631#  endif
     22632   int F77_DUMMY_MAIN() { return 1; }
     22633
     22634#endif
     22635int
     22636main ()
     22637{
     22638$cfuncdaxpy()
     22639  ;
     22640  return 0;
     22641}
     22642_ACEOF
     22643rm -f conftest.$ac_objext conftest$ac_exeext
     22644if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22645  (eval $ac_link) 2>conftest.er1
     22646  ac_status=$?
     22647  grep -v '^ *+' conftest.er1 >conftest.err
     22648  rm -f conftest.er1
     22649  cat conftest.err >&5
     22650  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22651  (exit $ac_status); } &&
     22652         { ac_try='test -z "$ac_c_werror_flag"
     22653                         || test ! -s conftest.err'
     22654  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22655  (eval $ac_try) 2>&5
     22656  ac_status=$?
     22657  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22658  (exit $ac_status); }; } &&
     22659         { ac_try='test -s conftest$ac_exeext'
     22660  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22661  (eval $ac_try) 2>&5
     22662  ac_status=$?
     22663  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22664  (exit $ac_status); }; }; then
     22665  LIBS="$flink_save_libs"
     22666                     echo "$as_me:$LINENO: result: yes" >&5
     22667echo "${ECHO_T}yes" >&6
     22668                         use_blas='-lsunperf'
     22669                         ADDLIBS="-lsunperf $ADDLIBS"
     22670                         coin_need_flibs=yes
     22671                     coin_need_flibs=yes
     22672else
     22673  echo "$as_me: failed program was:" >&5
     22674sed 's/^/| /' conftest.$ac_ext >&5
     22675
     22676LIBS="$flink_save_libs"
     22677                     echo "$as_me:$LINENO: result: no" >&5
     22678echo "${ECHO_T}no" >&6
     22679                         LIBS="$SAVE_LIBS"
     22680fi
     22681rm -f conftest.err conftest.$ac_objext \
     22682      conftest$ac_exeext conftest.$ac_ext
     22683      else
     22684        echo "$as_me:$LINENO: result: no" >&5
     22685echo "${ECHO_T}no" >&6
     22686                         LIBS="$SAVE_LIBS"
     22687      fi
     22688    fi
     22689    ;;
     22690esac
     22691
     22692      ;;
     22693    *-cygwin* | *-mingw*)
     22694# On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
     22695# library will want to link with cygwin, hence won't run standalone in DOS.
     22696      if test "$enable_doscompile" = mingw; then
     22697        skip_lblas_check=yes
     22698      fi
     22699      case "$CC" in
     22700        cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     22701          SAVE_LIBS="$LIBS"
     22702          echo "$as_me:$LINENO: checking for BLAS in MKL" >&5
     22703echo $ECHO_N "checking for BLAS in MKL... $ECHO_C" >&6
     22704          LIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $LIBS"
     22705          case $ac_ext in
     22706  f)
     22707    cat >conftest.$ac_ext <<_ACEOF
     22708/* confdefs.h.  */
     22709_ACEOF
     22710cat confdefs.h >>conftest.$ac_ext
     22711cat >>conftest.$ac_ext <<_ACEOF
     22712/* end confdefs.h.  */
     22713
     22714#ifdef F77_DUMMY_MAIN
     22715
     22716#  ifdef __cplusplus
     22717     extern "C"
     22718#  endif
     22719   int F77_DUMMY_MAIN() { return 1; }
     22720
     22721#endif
     22722int
     22723main ()
     22724{
     22725      call daxpy
     22726  ;
     22727  return 0;
     22728}
     22729_ACEOF
     22730rm -f conftest.$ac_objext conftest$ac_exeext
     22731if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22732  (eval $ac_link) 2>conftest.er1
     22733  ac_status=$?
     22734  grep -v '^ *+' conftest.er1 >conftest.err
     22735  rm -f conftest.er1
     22736  cat conftest.err >&5
     22737  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22738  (exit $ac_status); } &&
     22739         { ac_try='test -z "$ac_c_werror_flag"
     22740                         || test ! -s conftest.err'
     22741  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22742  (eval $ac_try) 2>&5
     22743  ac_status=$?
     22744  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22745  (exit $ac_status); }; } &&
     22746         { ac_try='test -s conftest$ac_exeext'
     22747  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22748  (eval $ac_try) 2>&5
     22749  ac_status=$?
     22750  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22751  (exit $ac_status); }; }; then
     22752  echo "$as_me:$LINENO: result: yes" >&5
     22753echo "${ECHO_T}yes" >&6
     22754                             use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
     22755                             ADDLIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $ADDLIBS"
     22756else
     22757  echo "$as_me: failed program was:" >&5
     22758sed 's/^/| /' conftest.$ac_ext >&5
     22759
     22760echo "$as_me:$LINENO: result: no" >&5
     22761echo "${ECHO_T}no" >&6
     22762                             LIBS="$SAVE_LIBS"
     22763fi
     22764rm -f conftest.err conftest.$ac_objext \
     22765      conftest$ac_exeext conftest.$ac_ext
     22766    ;;
     22767  c)
     22768    ac_ext=f
     22769ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22770ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22771ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22772case $ac_cv_f77_mangling in
     22773  upper*) ac_val="DAXPY" ;;
     22774  lower*) ac_val="daxpy" ;;
     22775  *)      ac_val="unknown" ;;
     22776esac
     22777case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22778
     22779cfuncdaxpy="$ac_val"
     22780
     22781ac_ext=c
     22782ac_cpp='$CPP $CPPFLAGS'
     22783ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22784ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22785ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22786
     22787    if test x"$coin_need_flibs" = xyes; then
     22788      flink_try=no;
     22789    else
     22790      cat >conftest.$ac_ext <<_ACEOF
     22791/* confdefs.h.  */
     22792_ACEOF
     22793cat confdefs.h >>conftest.$ac_ext
     22794cat >>conftest.$ac_ext <<_ACEOF
     22795/* end confdefs.h.  */
     22796void $cfuncdaxpy();
     22797#ifdef F77_DUMMY_MAIN
     22798
     22799#  ifdef __cplusplus
     22800     extern "C"
     22801#  endif
     22802   int F77_DUMMY_MAIN() { return 1; }
     22803
     22804#endif
     22805int
     22806main ()
     22807{
     22808$cfuncdaxpy()
     22809  ;
     22810  return 0;
     22811}
     22812_ACEOF
     22813rm -f conftest.$ac_objext conftest$ac_exeext
     22814if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22815  (eval $ac_link) 2>conftest.er1
     22816  ac_status=$?
     22817  grep -v '^ *+' conftest.er1 >conftest.err
     22818  rm -f conftest.er1
     22819  cat conftest.err >&5
     22820  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22821  (exit $ac_status); } &&
     22822         { ac_try='test -z "$ac_c_werror_flag"
     22823                         || test ! -s conftest.err'
     22824  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22825  (eval $ac_try) 2>&5
     22826  ac_status=$?
     22827  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22828  (exit $ac_status); }; } &&
     22829         { ac_try='test -s conftest$ac_exeext'
     22830  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22831  (eval $ac_try) 2>&5
     22832  ac_status=$?
     22833  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22834  (exit $ac_status); }; }; then
     22835  flink_try=yes
     22836else
     22837  echo "$as_me: failed program was:" >&5
     22838sed 's/^/| /' conftest.$ac_ext >&5
     22839
     22840flink_try=no
     22841fi
     22842rm -f conftest.err conftest.$ac_objext \
     22843      conftest$ac_exeext conftest.$ac_ext
     22844    fi
     22845    if test $flink_try = yes; then
     22846      echo "$as_me:$LINENO: result: yes" >&5
     22847echo "${ECHO_T}yes" >&6
     22848                             use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
     22849                             ADDLIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $ADDLIBS"
     22850    else
     22851      if test x"$FLIBS" != x; then
     22852        flink_save_libs="$LIBS"
     22853        LIBS="$LIBS $FLIBS"
     22854        cat >conftest.$ac_ext <<_ACEOF
     22855/* confdefs.h.  */
     22856_ACEOF
     22857cat confdefs.h >>conftest.$ac_ext
     22858cat >>conftest.$ac_ext <<_ACEOF
     22859/* end confdefs.h.  */
     22860void $cfuncdaxpy();
     22861#ifdef F77_DUMMY_MAIN
     22862
     22863#  ifdef __cplusplus
     22864     extern "C"
     22865#  endif
     22866   int F77_DUMMY_MAIN() { return 1; }
     22867
     22868#endif
     22869int
     22870main ()
     22871{
     22872$cfuncdaxpy()
     22873  ;
     22874  return 0;
     22875}
     22876_ACEOF
     22877rm -f conftest.$ac_objext conftest$ac_exeext
     22878if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22879  (eval $ac_link) 2>conftest.er1
     22880  ac_status=$?
     22881  grep -v '^ *+' conftest.er1 >conftest.err
     22882  rm -f conftest.er1
     22883  cat conftest.err >&5
     22884  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22885  (exit $ac_status); } &&
     22886         { ac_try='test -z "$ac_c_werror_flag"
     22887                         || test ! -s conftest.err'
     22888  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22889  (eval $ac_try) 2>&5
     22890  ac_status=$?
     22891  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22892  (exit $ac_status); }; } &&
     22893         { ac_try='test -s conftest$ac_exeext'
     22894  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22895  (eval $ac_try) 2>&5
     22896  ac_status=$?
     22897  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22898  (exit $ac_status); }; }; then
     22899  LIBS="$flink_save_libs"
     22900                     echo "$as_me:$LINENO: result: yes" >&5
     22901echo "${ECHO_T}yes" >&6
     22902                             use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
     22903                             ADDLIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $ADDLIBS"
     22904                     coin_need_flibs=yes
     22905else
     22906  echo "$as_me: failed program was:" >&5
     22907sed 's/^/| /' conftest.$ac_ext >&5
     22908
     22909LIBS="$flink_save_libs"
     22910                     echo "$as_me:$LINENO: result: no" >&5
     22911echo "${ECHO_T}no" >&6
     22912                             LIBS="$SAVE_LIBS"
     22913fi
     22914rm -f conftest.err conftest.$ac_objext \
     22915      conftest$ac_exeext conftest.$ac_ext
     22916      else
     22917        echo "$as_me:$LINENO: result: no" >&5
     22918echo "${ECHO_T}no" >&6
     22919                             LIBS="$SAVE_LIBS"
     22920      fi
     22921    fi
     22922    ;;
     22923  cc|cpp)
     22924    ac_ext=f
     22925ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22926ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22927ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22928case $ac_cv_f77_mangling in
     22929  upper*) ac_val="DAXPY" ;;
     22930  lower*) ac_val="daxpy" ;;
     22931  *)      ac_val="unknown" ;;
     22932esac
     22933case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22934
     22935cfuncdaxpy="$ac_val"
     22936
     22937ac_ext=c
     22938ac_cpp='$CPP $CPPFLAGS'
     22939ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22940ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22941ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22942
     22943    if test x"$coin_need_flibs" = xyes; then
     22944      flink_try=no;
     22945    else
     22946      cat >conftest.$ac_ext <<_ACEOF
     22947/* confdefs.h.  */
     22948_ACEOF
     22949cat confdefs.h >>conftest.$ac_ext
     22950cat >>conftest.$ac_ext <<_ACEOF
     22951/* end confdefs.h.  */
     22952extern "C" {void $cfuncdaxpy();}
     22953#ifdef F77_DUMMY_MAIN
     22954
     22955#  ifdef __cplusplus
     22956     extern "C"
     22957#  endif
     22958   int F77_DUMMY_MAIN() { return 1; }
     22959
     22960#endif
     22961int
     22962main ()
     22963{
     22964$cfuncdaxpy()
     22965  ;
     22966  return 0;
     22967}
     22968_ACEOF
     22969rm -f conftest.$ac_objext conftest$ac_exeext
     22970if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22971  (eval $ac_link) 2>conftest.er1
     22972  ac_status=$?
     22973  grep -v '^ *+' conftest.er1 >conftest.err
     22974  rm -f conftest.er1
     22975  cat conftest.err >&5
     22976  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22977  (exit $ac_status); } &&
     22978         { ac_try='test -z "$ac_c_werror_flag"
     22979                         || test ! -s conftest.err'
     22980  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22981  (eval $ac_try) 2>&5
     22982  ac_status=$?
     22983  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22984  (exit $ac_status); }; } &&
     22985         { ac_try='test -s conftest$ac_exeext'
     22986  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22987  (eval $ac_try) 2>&5
     22988  ac_status=$?
     22989  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22990  (exit $ac_status); }; }; then
     22991  flink_try=yes
     22992else
     22993  echo "$as_me: failed program was:" >&5
     22994sed 's/^/| /' conftest.$ac_ext >&5
     22995
     22996flink_try=no
     22997fi
     22998rm -f conftest.err conftest.$ac_objext \
     22999      conftest$ac_exeext conftest.$ac_ext
     23000    fi
     23001    if test $flink_try = yes; then
     23002      echo "$as_me:$LINENO: result: yes" >&5
     23003echo "${ECHO_T}yes" >&6
     23004                             use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
     23005                             ADDLIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $ADDLIBS"
     23006    else
     23007      if test x"$FLIBS" != x; then
     23008        flink_save_libs="$LIBS"
     23009        LIBS="$LIBS $FLIBS"
     23010        cat >conftest.$ac_ext <<_ACEOF
     23011/* confdefs.h.  */
     23012_ACEOF
     23013cat confdefs.h >>conftest.$ac_ext
     23014cat >>conftest.$ac_ext <<_ACEOF
     23015/* end confdefs.h.  */
     23016extern "C" {void $cfuncdaxpy();}
     23017#ifdef F77_DUMMY_MAIN
     23018
     23019#  ifdef __cplusplus
     23020     extern "C"
     23021#  endif
     23022   int F77_DUMMY_MAIN() { return 1; }
     23023
     23024#endif
     23025int
     23026main ()
     23027{
     23028$cfuncdaxpy()
     23029  ;
     23030  return 0;
     23031}
     23032_ACEOF
     23033rm -f conftest.$ac_objext conftest$ac_exeext
     23034if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23035  (eval $ac_link) 2>conftest.er1
     23036  ac_status=$?
     23037  grep -v '^ *+' conftest.er1 >conftest.err
     23038  rm -f conftest.er1
     23039  cat conftest.err >&5
     23040  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23041  (exit $ac_status); } &&
     23042         { ac_try='test -z "$ac_c_werror_flag"
     23043                         || test ! -s conftest.err'
     23044  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23045  (eval $ac_try) 2>&5
     23046  ac_status=$?
     23047  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23048  (exit $ac_status); }; } &&
     23049         { ac_try='test -s conftest$ac_exeext'
     23050  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23051  (eval $ac_try) 2>&5
     23052  ac_status=$?
     23053  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23054  (exit $ac_status); }; }; then
     23055  LIBS="$flink_save_libs"
     23056                     echo "$as_me:$LINENO: result: yes" >&5
     23057echo "${ECHO_T}yes" >&6
     23058                             use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
     23059                             ADDLIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $ADDLIBS"
     23060                     coin_need_flibs=yes
     23061else
     23062  echo "$as_me: failed program was:" >&5
     23063sed 's/^/| /' conftest.$ac_ext >&5
     23064
     23065LIBS="$flink_save_libs"
     23066                     echo "$as_me:$LINENO: result: no" >&5
     23067echo "${ECHO_T}no" >&6
     23068                             LIBS="$SAVE_LIBS"
     23069fi
     23070rm -f conftest.err conftest.$ac_objext \
     23071      conftest$ac_exeext conftest.$ac_ext
     23072      else
     23073        echo "$as_me:$LINENO: result: no" >&5
     23074echo "${ECHO_T}no" >&6
     23075                             LIBS="$SAVE_LIBS"
     23076      fi
     23077    fi
     23078    ;;
     23079esac
     23080
     23081          ;;
     23082      esac
     23083      ;;
     23084  esac
     23085
     23086  if test -z "$use_blas" && test $skip_lblas_check = no; then
     23087    SAVE_LIBS="$LIBS"
     23088    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
     23089echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     23090    LIBS="-lblas $LIBS"
     23091    case $ac_ext in
     23092  f)
     23093    cat >conftest.$ac_ext <<_ACEOF
     23094/* confdefs.h.  */
     23095_ACEOF
     23096cat confdefs.h >>conftest.$ac_ext
     23097cat >>conftest.$ac_ext <<_ACEOF
     23098/* end confdefs.h.  */
     23099
     23100#ifdef F77_DUMMY_MAIN
     23101
     23102#  ifdef __cplusplus
     23103     extern "C"
     23104#  endif
     23105   int F77_DUMMY_MAIN() { return 1; }
     23106
     23107#endif
     23108int
     23109main ()
     23110{
     23111      call daxpy
     23112  ;
     23113  return 0;
     23114}
     23115_ACEOF
     23116rm -f conftest.$ac_objext conftest$ac_exeext
     23117if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23118  (eval $ac_link) 2>conftest.er1
     23119  ac_status=$?
     23120  grep -v '^ *+' conftest.er1 >conftest.err
     23121  rm -f conftest.er1
     23122  cat conftest.err >&5
     23123  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23124  (exit $ac_status); } &&
     23125         { ac_try='test -z "$ac_c_werror_flag"
     23126                         || test ! -s conftest.err'
     23127  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23128  (eval $ac_try) 2>&5
     23129  ac_status=$?
     23130  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23131  (exit $ac_status); }; } &&
     23132         { ac_try='test -s conftest$ac_exeext'
     23133  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23134  (eval $ac_try) 2>&5
     23135  ac_status=$?
     23136  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23137  (exit $ac_status); }; }; then
     23138  echo "$as_me:$LINENO: result: yes" >&5
     23139echo "${ECHO_T}yes" >&6
     23140                       ADDLIBS="-lblas $ADDLIBS"
     23141                       use_blas='-lblas'
     23142else
     23143  echo "$as_me: failed program was:" >&5
     23144sed 's/^/| /' conftest.$ac_ext >&5
     23145
     23146echo "$as_me:$LINENO: result: no" >&5
     23147echo "${ECHO_T}no" >&6
     23148                       LIBS="$SAVE_LIBS"
     23149fi
     23150rm -f conftest.err conftest.$ac_objext \
     23151      conftest$ac_exeext conftest.$ac_ext
     23152    ;;
     23153  c)
     23154    ac_ext=f
     23155ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     23156ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23157ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     23158case $ac_cv_f77_mangling in
     23159  upper*) ac_val="DAXPY" ;;
     23160  lower*) ac_val="daxpy" ;;
     23161  *)      ac_val="unknown" ;;
     23162esac
     23163case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     23164
     23165cfuncdaxpy="$ac_val"
     23166
     23167ac_ext=c
     23168ac_cpp='$CPP $CPPFLAGS'
     23169ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23170ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23171ac_compiler_gnu=$ac_cv_c_compiler_gnu
     23172
     23173    if test x"$coin_need_flibs" = xyes; then
     23174      flink_try=no;
     23175    else
     23176      cat >conftest.$ac_ext <<_ACEOF
     23177/* confdefs.h.  */
     23178_ACEOF
     23179cat confdefs.h >>conftest.$ac_ext
     23180cat >>conftest.$ac_ext <<_ACEOF
     23181/* end confdefs.h.  */
     23182void $cfuncdaxpy();
     23183#ifdef F77_DUMMY_MAIN
     23184
     23185#  ifdef __cplusplus
     23186     extern "C"
     23187#  endif
     23188   int F77_DUMMY_MAIN() { return 1; }
     23189
     23190#endif
     23191int
     23192main ()
     23193{
     23194$cfuncdaxpy()
     23195  ;
     23196  return 0;
     23197}
     23198_ACEOF
     23199rm -f conftest.$ac_objext conftest$ac_exeext
     23200if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23201  (eval $ac_link) 2>conftest.er1
     23202  ac_status=$?
     23203  grep -v '^ *+' conftest.er1 >conftest.err
     23204  rm -f conftest.er1
     23205  cat conftest.err >&5
     23206  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23207  (exit $ac_status); } &&
     23208         { ac_try='test -z "$ac_c_werror_flag"
     23209                         || test ! -s conftest.err'
     23210  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23211  (eval $ac_try) 2>&5
     23212  ac_status=$?
     23213  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23214  (exit $ac_status); }; } &&
     23215         { ac_try='test -s conftest$ac_exeext'
     23216  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23217  (eval $ac_try) 2>&5
     23218  ac_status=$?
     23219  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23220  (exit $ac_status); }; }; then
     23221  flink_try=yes
     23222else
     23223  echo "$as_me: failed program was:" >&5
     23224sed 's/^/| /' conftest.$ac_ext >&5
     23225
     23226flink_try=no
     23227fi
     23228rm -f conftest.err conftest.$ac_objext \
     23229      conftest$ac_exeext conftest.$ac_ext
     23230    fi
     23231    if test $flink_try = yes; then
     23232      echo "$as_me:$LINENO: result: yes" >&5
     23233echo "${ECHO_T}yes" >&6
     23234                       ADDLIBS="-lblas $ADDLIBS"
     23235                       use_blas='-lblas'
     23236    else
     23237      if test x"$FLIBS" != x; then
     23238        flink_save_libs="$LIBS"
     23239        LIBS="$LIBS $FLIBS"
     23240        cat >conftest.$ac_ext <<_ACEOF
     23241/* confdefs.h.  */
     23242_ACEOF
     23243cat confdefs.h >>conftest.$ac_ext
     23244cat >>conftest.$ac_ext <<_ACEOF
     23245/* end confdefs.h.  */
     23246void $cfuncdaxpy();
     23247#ifdef F77_DUMMY_MAIN
     23248
     23249#  ifdef __cplusplus
     23250     extern "C"
     23251#  endif
     23252   int F77_DUMMY_MAIN() { return 1; }
     23253
     23254#endif
     23255int
     23256main ()
     23257{
     23258$cfuncdaxpy()
     23259  ;
     23260  return 0;
     23261}
     23262_ACEOF
     23263rm -f conftest.$ac_objext conftest$ac_exeext
     23264if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23265  (eval $ac_link) 2>conftest.er1
     23266  ac_status=$?
     23267  grep -v '^ *+' conftest.er1 >conftest.err
     23268  rm -f conftest.er1
     23269  cat conftest.err >&5
     23270  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23271  (exit $ac_status); } &&
     23272         { ac_try='test -z "$ac_c_werror_flag"
     23273                         || test ! -s conftest.err'
     23274  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23275  (eval $ac_try) 2>&5
     23276  ac_status=$?
     23277  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23278  (exit $ac_status); }; } &&
     23279         { ac_try='test -s conftest$ac_exeext'
     23280  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23281  (eval $ac_try) 2>&5
     23282  ac_status=$?
     23283  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23284  (exit $ac_status); }; }; then
     23285  LIBS="$flink_save_libs"
     23286                     echo "$as_me:$LINENO: result: yes" >&5
     23287echo "${ECHO_T}yes" >&6
     23288                       ADDLIBS="-lblas $ADDLIBS"
     23289                       use_blas='-lblas'
     23290                     coin_need_flibs=yes
     23291else
     23292  echo "$as_me: failed program was:" >&5
     23293sed 's/^/| /' conftest.$ac_ext >&5
     23294
     23295LIBS="$flink_save_libs"
     23296                     echo "$as_me:$LINENO: result: no" >&5
     23297echo "${ECHO_T}no" >&6
     23298                       LIBS="$SAVE_LIBS"
     23299fi
     23300rm -f conftest.err conftest.$ac_objext \
     23301      conftest$ac_exeext conftest.$ac_ext
     23302      else
     23303        echo "$as_me:$LINENO: result: no" >&5
     23304echo "${ECHO_T}no" >&6
     23305                       LIBS="$SAVE_LIBS"
     23306      fi
     23307    fi
     23308    ;;
     23309  cc|cpp)
     23310    ac_ext=f
     23311ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     23312ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23313ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     23314case $ac_cv_f77_mangling in
     23315  upper*) ac_val="DAXPY" ;;
     23316  lower*) ac_val="daxpy" ;;
     23317  *)      ac_val="unknown" ;;
     23318esac
     23319case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     23320
     23321cfuncdaxpy="$ac_val"
     23322
     23323ac_ext=c
     23324ac_cpp='$CPP $CPPFLAGS'
     23325ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23326ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23327ac_compiler_gnu=$ac_cv_c_compiler_gnu
     23328
     23329    if test x"$coin_need_flibs" = xyes; then
     23330      flink_try=no;
     23331    else
     23332      cat >conftest.$ac_ext <<_ACEOF
     23333/* confdefs.h.  */
     23334_ACEOF
     23335cat confdefs.h >>conftest.$ac_ext
     23336cat >>conftest.$ac_ext <<_ACEOF
     23337/* end confdefs.h.  */
     23338extern "C" {void $cfuncdaxpy();}
     23339#ifdef F77_DUMMY_MAIN
     23340
     23341#  ifdef __cplusplus
     23342     extern "C"
     23343#  endif
     23344   int F77_DUMMY_MAIN() { return 1; }
     23345
     23346#endif
     23347int
     23348main ()
     23349{
     23350$cfuncdaxpy()
     23351  ;
     23352  return 0;
     23353}
     23354_ACEOF
     23355rm -f conftest.$ac_objext conftest$ac_exeext
     23356if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23357  (eval $ac_link) 2>conftest.er1
     23358  ac_status=$?
     23359  grep -v '^ *+' conftest.er1 >conftest.err
     23360  rm -f conftest.er1
     23361  cat conftest.err >&5
     23362  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23363  (exit $ac_status); } &&
     23364         { ac_try='test -z "$ac_c_werror_flag"
     23365                         || test ! -s conftest.err'
     23366  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23367  (eval $ac_try) 2>&5
     23368  ac_status=$?
     23369  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23370  (exit $ac_status); }; } &&
     23371         { ac_try='test -s conftest$ac_exeext'
     23372  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23373  (eval $ac_try) 2>&5
     23374  ac_status=$?
     23375  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23376  (exit $ac_status); }; }; then
     23377  flink_try=yes
     23378else
     23379  echo "$as_me: failed program was:" >&5
     23380sed 's/^/| /' conftest.$ac_ext >&5
     23381
     23382flink_try=no
     23383fi
     23384rm -f conftest.err conftest.$ac_objext \
     23385      conftest$ac_exeext conftest.$ac_ext
     23386    fi
     23387    if test $flink_try = yes; then
     23388      echo "$as_me:$LINENO: result: yes" >&5
     23389echo "${ECHO_T}yes" >&6
     23390                       ADDLIBS="-lblas $ADDLIBS"
     23391                       use_blas='-lblas'
     23392    else
     23393      if test x"$FLIBS" != x; then
     23394        flink_save_libs="$LIBS"
     23395        LIBS="$LIBS $FLIBS"
     23396        cat >conftest.$ac_ext <<_ACEOF
     23397/* confdefs.h.  */
     23398_ACEOF
     23399cat confdefs.h >>conftest.$ac_ext
     23400cat >>conftest.$ac_ext <<_ACEOF
     23401/* end confdefs.h.  */
     23402extern "C" {void $cfuncdaxpy();}
     23403#ifdef F77_DUMMY_MAIN
     23404
     23405#  ifdef __cplusplus
     23406     extern "C"
     23407#  endif
     23408   int F77_DUMMY_MAIN() { return 1; }
     23409
     23410#endif
     23411int
     23412main ()
     23413{
     23414$cfuncdaxpy()
     23415  ;
     23416  return 0;
     23417}
     23418_ACEOF
     23419rm -f conftest.$ac_objext conftest$ac_exeext
     23420if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23421  (eval $ac_link) 2>conftest.er1
     23422  ac_status=$?
     23423  grep -v '^ *+' conftest.er1 >conftest.err
     23424  rm -f conftest.er1
     23425  cat conftest.err >&5
     23426  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23427  (exit $ac_status); } &&
     23428         { ac_try='test -z "$ac_c_werror_flag"
     23429                         || test ! -s conftest.err'
     23430  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23431  (eval $ac_try) 2>&5
     23432  ac_status=$?
     23433  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23434  (exit $ac_status); }; } &&
     23435         { ac_try='test -s conftest$ac_exeext'
     23436  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23437  (eval $ac_try) 2>&5
     23438  ac_status=$?
     23439  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23440  (exit $ac_status); }; }; then
     23441  LIBS="$flink_save_libs"
     23442                     echo "$as_me:$LINENO: result: yes" >&5
     23443echo "${ECHO_T}yes" >&6
     23444                       ADDLIBS="-lblas $ADDLIBS"
     23445                       use_blas='-lblas'
     23446                     coin_need_flibs=yes
     23447else
     23448  echo "$as_me: failed program was:" >&5
     23449sed 's/^/| /' conftest.$ac_ext >&5
     23450
     23451LIBS="$flink_save_libs"
     23452                     echo "$as_me:$LINENO: result: no" >&5
     23453echo "${ECHO_T}no" >&6
     23454                       LIBS="$SAVE_LIBS"
     23455fi
     23456rm -f conftest.err conftest.$ac_objext \
     23457      conftest$ac_exeext conftest.$ac_ext
     23458      else
     23459        echo "$as_me:$LINENO: result: no" >&5
     23460echo "${ECHO_T}no" >&6
     23461                       LIBS="$SAVE_LIBS"
     23462      fi
     23463    fi
     23464    ;;
     23465esac
     23466
     23467  fi
     23468
     23469# If we have no other ideas, consider building BLAS.
     23470  if test -z "$use_blas"; then
     23471    if test "$PACKAGE_NAME" != ThirdPartyBlas; then
     23472      if test -r $coin_blasobjdir/.MakeOk; then
     23473        use_blas=BUILD
     23474      fi
     23475    fi
     23476  fi
     23477fi
     23478
     23479if test "$use_blas" = BUILD; then
     23480  coin_need_flibs=yes
     23481fi
     23482
     23483
     23484
     23485if test x"$use_blas" != x; then
     23486  COIN_HAS_BLAS_TRUE=
     23487  COIN_HAS_BLAS_FALSE='#'
     23488else
     23489  COIN_HAS_BLAS_TRUE='#'
     23490  COIN_HAS_BLAS_FALSE=
     23491fi
     23492
     23493
     23494
     23495if test "$use_blas" = BUILD; then
     23496  COIN_BUILD_BLAS_TRUE=
     23497  COIN_BUILD_BLAS_FALSE='#'
     23498else
     23499  COIN_BUILD_BLAS_TRUE='#'
     23500  COIN_BUILD_BLAS_FALSE=
     23501fi
     23502
     23503
     23504if test x"$use_blas" = x || test "$use_blas" = no; then
     23505  coin_has_blas=no
     23506else
     23507  coin_has_blas=yes
     23508
     23509cat >>confdefs.h <<\_ACEOF
     23510#define COIN_HAS_BLAS 1
     23511_ACEOF
     23512
     23513fi
     23514
     23515
    2150023516## Check if Mumps is already provided by user
    2150123517
     
    2217824194Usually this means the macro was only invoked conditionally." >&5
    2217924195echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
     24196Usually this means the macro was only invoked conditionally." >&2;}
     24197   { (exit 1); exit 1; }; }
     24198fi
     24199if test -z "${COIN_HAS_BLAS_TRUE}" && test -z "${COIN_HAS_BLAS_FALSE}"; then
     24200  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_BLAS\" was never defined.
     24201Usually this means the macro was only invoked conditionally." >&5
     24202echo "$as_me: error: conditional \"COIN_HAS_BLAS\" was never defined.
     24203Usually this means the macro was only invoked conditionally." >&2;}
     24204   { (exit 1); exit 1; }; }
     24205fi
     24206if test -z "${COIN_BUILD_BLAS_TRUE}" && test -z "${COIN_BUILD_BLAS_FALSE}"; then
     24207  { { echo "$as_me:$LINENO: error: conditional \"COIN_BUILD_BLAS\" was never defined.
     24208Usually this means the macro was only invoked conditionally." >&5
     24209echo "$as_me: error: conditional \"COIN_BUILD_BLAS\" was never defined.
    2218024210Usually this means the macro was only invoked conditionally." >&2;}
    2218124211   { (exit 1); exit 1; }; }
     
    2283424864s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2283524865s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
     24866s,@COIN_HAS_BLAS_TRUE@,$COIN_HAS_BLAS_TRUE,;t t
     24867s,@COIN_HAS_BLAS_FALSE@,$COIN_HAS_BLAS_FALSE,;t t
     24868s,@COIN_BUILD_BLAS_TRUE@,$COIN_BUILD_BLAS_TRUE,;t t
     24869s,@COIN_BUILD_BLAS_FALSE@,$COIN_BUILD_BLAS_FALSE,;t t
    2283624870s,@MUMPSINCDIR@,$MUMPSINCDIR,;t t
    2283724871s,@MUMPSLIB@,$MUMPSLIB,;t t
  • ThirdParty/Mumps/trunk/configure.ac

    r1186 r1232  
    9393AC_COIN_INIT_AUTO_TOOLS
    9494
     95# Check for user-provided BLAS library
     96AC_COIN_HAS_BLAS
     97
    9598## Check if Mumps is already provided by user
    9699AC_COIN_HAS_MUMPS
Note: See TracChangeset for help on using the changeset viewer.